%define languageenglazy Thai
%define languagecode    th
%define lc_ctype        th_TH

%define upstream_version 20061212

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 19
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.openoffice.org/en/project/thai-spellchecker-dictionary
Source0:        https://sourceforge.net/projects/aoo-extensions/files/2365/0/dict-th.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-th
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
#set encoding to IANA prefered name
sed -i -e 's/TIS620-2533/TIS620/g' th_TH.aff
chmod -x [^M]*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_th_TH.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20061212.1-19.mga10
+ Revision: 2205191
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20061212.1-18.mga9
+ Revision: 1811131
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.20061212.1-17.mga8
+ Revision: 1520537
- Mageia 8 Mass Rebuild

* Wed Nov 28 2018 tv <tv> 0.20061212.1-16.mga7
+ Revision: 1336439
- fix perms
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix Source0 and URL links

* Fri Feb 05 2016 umeabot <umeabot> 0.20061212.1-14.mga6
+ Revision: 936557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20061212.1-13.mga5
+ Revision: 742331
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20061212.1-12.mga5
+ Revision: 680315
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20061212.1-11.mga4
+ Revision: 505724
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20061212.1-10.mga3
+ Revision: 353740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20061212.1-9.mga2
+ Revision: 224887
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20061212.1-8.mga2
+ Revision: 209119
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20061212.1-6.mga1
+ Revision: 69149
- imported package hunspell-th


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20061212-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 04 2010 Caolán McNamara <caolanm@redhat.com> - 0.20061212-5
- set encoding to IANA prefered name

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20061212-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20061212-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 09 2007 Caolán McNamara <caolanm@redhat.com> - 0.20061212-2
- clarify license version

* Wed Feb 14 2007 Caolán McNamara <caolanm@redhat.com> - 0.20061212-1
- update to latest

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20050530-1
- initial version
